Name:           python-asyncssh
Version:        2.19.0
Release:        %mkrel 2
Summary:        AsyncSSH: Asynchronous SSHv2 client and server library
Group:          Development/Python

License:        EPL-2.0
URL:            https://asyncssh.timeheart.net/
Source:         %{pypi_source asyncssh}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)


%global _description %{expand:
AsyncSSH is a Python package which provides an asynchronous client and server
implementation of the SSHv2 protocol on top of the Python 3.6+ asyncio framework.}

%description %_description

%package -n     python3-asyncssh
Summary:        %{summary}

%description -n python3-asyncssh %_description

%pyproject_extras_subpkg -n python3-asyncssh bcrypt,fido2,gssapi,libnacl,pkcs11,pyopenssl


%prep
%autosetup -p1 -n asyncssh-%{version}


%generate_buildrequires
%pyproject_buildrequires -x bcrypt,fido2,gssapi,libnacl,pkcs11,pyopenssl


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files asyncssh


%check
%pytest


%files -n python3-asyncssh -f %{pyproject_files}



%changelog
* Mon Jul 07 2025 umeabot <umeabot> 2.19.0-2.mga10
+ Revision: 2249003
- Mageia 10 Mass Rebuild

* Thu Mar 20 2025 papoteur <papoteur> 2.19.0-1.mga10
+ Revision: 2167326
- new version 2.19.0

* Sun Mar 02 2025 wally <wally> 2.17.0-3.mga10
+ Revision: 2158061
- rebuild for python3.13
- rebuild for python3.13
+ danf <danf>
- Switch URL to https

* Sat Sep 21 2024 papoteur <papoteur> 2.17.0-1.mga10
+ Revision: 2099886
- import for spyder

